> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1webhooksagentstoolsexecute



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/webhooks/agents/tools/execute
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/webhooks/agents/tools/execute:
    get:
      tags:
        - Agents
      operationId: agents.toolExecute
      parameters:
        - name: tool_id
          in: query
          required: true
          schema:
            type: string
            format: uuid
        - name: call_id
          in: query
          required: true
          schema:
            type: string
            format: uuid
        - name: team_id
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Tool executed successfully
                  tool_result:
                    type: string
                required:
                  - message
                  - tool_result
        '422':
          $ref: '#/components/responses/ValidationException'
        '500':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Failed to execute tool
                required:
                  - error
components:
  responses:
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````